class DesktopPublicationsController< ApplicationController
	  def journal_p
      	render "desktop/journal_p", :layout => false
   	end
  
  	def journal_p_list
    	render "desktop/journal_pages/list", :layout => false
  	end
  
  	def journal_p_add
      debugger
    	render "desktop/journal_pages/add", :layout => false
  	end

    def books
      render "desktop/books", :layout => false
    end

    def books_list
        render "desktop/books/list", :layout => false
    end

    def books_add
        render "desktop/books/add", :layout => false
    end

    def seminar_p
      render "desktop/seminar_p", :layout => false
    end

    def seminar_p_list
        render "desktop/seminar_pages/list", :layout => false
    end

    def seminar_p_add
        render "desktop/seminar_pages/add", :layout => false
    end

  	def create_journal
  		Journal.create(user_id: current_user.id, title: "Ice Cream Sandwich")
  		b = Array.new
    	b << {"success"=>"true"}
    	render :json=>b.to_json
  	end

  	def getjournals
  		@journals = current_user.journals
  		data = Array.new
  		@journals.each do |journal|
  			@papers = journal.papers.all
  			data << {"title" => journal.title, "papers" => @papers}
  		end
  		render :json=>data.to_json
  	end

    def delete_journal
      @journals = Journal.find("")
      @journals.delete
      b = Array.new
      b << {"success"=>"true"}
      render :json=>b.to_json
    end

    def update_journal
      @journal = Journal.find("4ff2d6ebbd98eb02b9000017")
      @papers = @journal.papers
      @papers.each do |paper|
        paper.update_attributes(:user_id => current_user.id)
      end
       b = Array.new

      b << {"success"=>"true"}
      render :json=>b.to_json
    end
end
